# Basic attributes
default['normal_site']['ip_address'] = false
default['normal_site']['hostname'] = false
default['normal_site']['webroot'] = '/var/www'
default['normal_site']['server_aliases'] = 'www.site.dev'
default['normal_site']['web_directory'] = ''
default['normal_site']['install_ioncube'] = false

# TYPO3
default['normal_site']['download_typo3'] = false
default['normal_site']['setup_typo3_composer'] = false
default['normal_site']['typo3_version'] = '11'
default['normal_site']['configure_typo3'] = false

# Shopware
default['normal_site']['download_shopware'] = false
default['normal_site']['shopware_version'] = '6.5.2.1'
default['normal_site']['configure_shopware'] = false

# Wordpress
default['normal_site']['configure_wordpress'] = false
default['normal_site']['wordpress_table_prefix'] = 'wp_'

# MySql version
if node['platform_version'] == '22.04'
	default['normal_site']['mysql_version'] = '8.0'
elsif node['platform_version'] == '20.04'
	default['normal_site']['mysql_version'] = '8.0'
elsif node['platform_version'] == '16.04'
	default['normal_site']['mysql_version'] = '5.7'
else
	default['normal_site']['mysql_version'] = '5.6'
end

# Default Solr Configuration
default['normal_site']['solr']['init'] = false
default['normal_site']['solr']['version_solr'] = '7.6.0'
default['normal_site']['solr']['version_extension'] = '9.0.0'
default['normal_site']['solr']['version_tika_server'] = '1.24'
default['normal_site']['solr']['config_directory'] = 'ext_solr_9_0_0'
default['normal_site']['solr']['cores'] = [
  {
	:name => 'core-en_US',
	:language => 'english'
  },
  {
	:name => 'core-de_DE',
	:language => 'german'
  },
]

# Example:
# [
#   {
#       :ip_address => '127.0.0.1',
#       :hostname => 'project.dev',
#   }
# ]
default['normal_site']['create_additional_hostentries'] = []

# Example:
# [
#   {
#       :folder => '/var/www/newFolder/',
#   }
# ]
default['normal_site']['create_additional_folders'] = []

# Example:
#[
#	{
#		:repository => 'git@gitlab.sgalinski.de:namespace/project.git',
# 		:branch => 'master'
#		:folder_name => 'someFolder',
#		:hostname => 'gitlab.sgalinski.de',
#		:port => 22,
#	},
#	{
#		:repository => 'git@gitlab.sgalinski.de:namespace/project2.git',
# 		:branch => 'master'
#		:folder_name => 'someFolder',
#		:hostname => 'gitlab.sgalinski.de',
#		:port => 22,
#	}
#]
default['normal_site']['sync_repositories'] = []

# Example:
#[
#	{
#		:user => 'vagrant',
#		:hostname => 'deploy.site.com',
#		:port => 22,
#		:remote => '~/site/fileadmin/',
#		:local => 'fileadmin',
#		:keep_non_existing_files => false,
#		:sync => true
#	},
#	{
#		:user => 'vagrant',
#		:hostname => 'deploy.site.com',
#		:port => 22,
#		:remote => '~/site/uploads/',
#		:local => 'uploads',
#		:keep_non_existing_files => false,
#		:sync => true
#	}
#]
default['normal_site']['sync_directories'] = []

# Example:
#[
#	{
#		:database_name => 'typo3',
#		:database_user => 'typo3',
#		:database_password => 'typo3',
#		:dump_user => 'vagrant',
#		:dump_hostname => 'deploy.site.com',
#		:dump_port => 22,
#		:dump_remote => '~/site/dump.sql',
#		:dump_local => '/home/vagrant/dump.sql',
#		:post_install_queries => [
#			"INSERT INTO typo3.be_users (pid, tstamp, username, password, admin, usergroup, disable, starttime, endtime, lang, email) VALUES (0,1276860841,'admin','$1$lV7klIfP$E8.y9jiK4RL6qZzgWboSP/',1,'0',0,0,0,'','admin@example.com')",
#			"UPDATE typo3.sys_domain SET domainName = 'site.dev' WHERE uid = 1;"
#		]
#	}
#]
default['normal_site']['sync_databases'] = []

# Example:
# [
#   {
#       :source => '/var/www/mySite/fileadmin',
#       :target => '/var/www/fileadmin',
#   }
# ]
default['normal_site']['create_links'] = []

# Example:
# [
#   {
#       :hostname => 'backend.mysite.dev',
#       :web_directory => 'web',
#       :server_aliases => 'www.backend.mysite.dev'
#   }
# ]
default['normal_site']['create_additional_vhosts'] = []

# Example:
# [
#   {
#       :name => 'redis'
#   }
# ]
default['normal_site']['additional_php_modules'] = []
